function onEnter()
	-- This is the ending cutscene, stop the level timer now.
	getLevel():RegisterAreaComplete()
end

-- Coroutine that does all the cutscene magic.
-- This invloves stuff like walking, jumping, displaying text boxes, etc.
local function onBegin()
    walkTo(2450)
    wait(1)
    walkTo(2350)
    wait(1)
    say("sc2020_BridgeScene2")
    wait(1)
    walkTo(2600)
    completeArea(false, false, true)
end

-- Function, no yielding actions allowed.
-- That means no walking, waiting etc.
-- Only "clean up" actions.
local function onEnd(level, wasSkipped)
    if wasSkipped then
        completeArea(true)
    end
end

return onBegin, onEnd